---
title: List
url: https://www.tines.com/docs/api/stories/actions/list/
updated: 2026-04-07T13:07:04+00:00
description: Retrieve a list of actions available in the Tines tenant.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Actions](https://www.tines.com/llm/docs/api/stories/actions.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/stories/actions/list/)*

## Description

Retrieve a list of actions available in the Tines tenant.

## Request

HTTP Method: **GET**

| Parameter             | Description                                                                                                                                                                                                                                                                                                                    |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| story_id              | **Optional** List actions for the given story                                                                                                                                                                                                                                                                                  |
| story_mode            | **Optional** List actions for the given story mode (must be used with story_id)                                                                                                                                                                                                                                                |
| team_id               | **Optional** List actions for the given team                                                                                                                                                                                                                                                                                   |
| group_id              | **Optional** List actions for the given group                                                                                                                                                                                                                                                                                  |
| action_type           | **Optional** Filter actions by the given type: <br />`Agents::EmailAgent`<br />`Agents::EventTransformationAgent`<br />`Agents::HTTPRequestAgent`<br />`Agents::IMAPAgent`<br />`Agents::TriggerAgent`<br />`Agents::WebhookAgent`<br />`Agents::SendToStoryAgent`<br /> `Agents::GroupAgent` <br /> `Agents::LLMAgent` <br /> |
| per_page              | **Optional** Set the number of results returned per page.                                                                                                                                                                                                                                                                      |
| page                  | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1.                                                                                                                                                                                                                            |
| draft_id              | **Optional** List actions for the given draft. [About drafts](https://www.tines.com/docs/stories/change-control/#api-endpoints).                                                                                                                                                                                               |
| include_live_activity | **Optional** When set to `true`, includes live activity metrics like `pending_action_runs_count`. Defaults to `false`.                                                                                                                                                                                                         |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/actions?include_live_activity=true \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON Array describing actions in the Tines tenant.

### Field description

| Parameter                 | Description                                                                                                                                                                                             |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                        | Action ID.                                                                                                                                                                                              |
| type                      | Action type                                                                                                                                                                                             |
| user_id                   | User ID of the action's owner.                                                                                                                                                                          |
| options                   | JSON Options block of the action.                                                                                                                                                                       |
| name                      | Name of the action.                                                                                                                                                                                     |
| description               | A user-defined description of the action.                                                                                                                                                               |
| schedule                  | An object defining the cron schedule for the action.                                                                                                                                                    |
| blended_events_count      | Number of events action has emitted in both TEST and LIVE mode.                                                                                                                                         |
| logs_count                | Number of logs action has stored.                                                                                                                                                                       |
| last_check_at             | ISO 8601 Timestamp representing date and time of action's last scheduled run.                                                                                                                           |
| last_receive_at           | ISO 8601 Timestamp representing date and time of last event received.                                                                                                                                   |
| created_at                | ISO 8601 Timestamp representing creation date and time of action.                                                                                                                                       |
| updated_at                | ISO 8601 Timestamp representing last updated date and time of action.                                                                                                                                   |
| last_event_at             | ISO 8601 Timestamp representing date and time the last event was received. Updated at one-minute intervals.                                                                                             |
| last_error_log_at         | ISO 8601 Timestamp representing date and time of last error thrown by the action.                                                                                                                       |
| disabled                  | Boolean flag indicating whether action is disabled.                                                                                                                                                     |
| guid                      | Unique identifier of the action.                                                                                                                                                                        |
| group_id                  | ID of group to which the action belongs.                                                                                                                                                                |
| position                  | An object describing the XY coordinates of the action on the story diagram.                                                                                                                             |
| story_id                  | ID of story to which the action belongs.                                                                                                                                                                |
| story_mode                | Mode of the story to which the action belongs `LIVE` or `TEST`                                                                                                                                          |
| nested_group_id           | ID of group contained in the action.                                                                                                                                                                    |
| team_id                   | ID of team to which the action belongs.                                                                                                                                                                 |
| sources                   | An Array of Action IDs this action receives emitted events from.                                                                                                                                        |
| receivers                 | An Array of Action IDs this action emits events to.                                                                                                                                                     |
| monitor_failures          | Boolean flag indicating if a notification should be sent when this action fails.                                                                                                                        |
| monitor_all_events        | Boolean flag indicating if all events should be monitored.                                                                                                                                              |
| monitor_no_events_emitted | Duration in seconds. If no events are emitted in this time, a notification will be sent.                                                                                                                |
| time_saved_unit           | Unit of time corresponding to time saved value.                                                                                                                                                         |
| time_saved_value          | Number indicating the amount of time saved.                                                                                                                                                             |
| page                      | An object with information on the associated page, if this is a page action                                                                                                                             |
| action_memory_contents    | An object containing an array of the values an action may be holding in its memory.                                                                                                                     |
| slug                      | An underscored representation of the action's name                                                                                                                                                      |
| links_to_sources          | An array of links to source actions, including the source ID and the link type                                                                                                                          |
| links_to_receivers        | An array of links to receiver actions, including the receiver ID and the link type                                                                                                                      |
| draft_id                  | ID of the draft associated with the action.                                                                                                                                                             |
| draft_name                | Name of the draft associated with the action.                                                                                                                                                           |
| story_run_save_setting    | An object containing the story run save settings for this action. Only present for Receive Email and Webhook agents. [About story runs](https://www.tines.com/docs/stories/story-runs/#save-story-runs) |
| pending_action_runs_count | Number of pending action runs for this action. Only included when `include_live_activity=true` is set.                                                                                                  |

### Sample response

```json
{
  "agents": [
    {
      "id": 73563,
      "type": "Agents::EventTransformationAgent",
      "user_id": 167,
      "options": {
        "mode": "deduplicate",
        "path": "{{.propagation_webhook.password}}",
        "lookback": "1"
      },
      "name": "Deduplicate",
      "schedule": [
        {
          "cron": "*/1 * * * *",
          "timezone": "Europe/Dublin"
        }
      ],
      "blended_events_count": 2,
      "logs_count": 4,
      "last_check_at": "2021-05-07T11:46:50Z",
      "last_receive_at": "2021-05-07T11:46:50Z",
      "created_at": "2021-05-07T11:42:58Z",
      "updated_at": "2021-05-07T11:47:00Z",
      "last_event_at": "2021-05-07T11:47:00Z",
      "last_error_log_at": null,
      "disabled": false,
      "guid": "f3fe6f8e167c9db42e64eaef8e5d2f0c",
      "group_id": null,
      "position": {
        "x": -945,
        "y": 450
      },
      "receivers": [70118],
      "sources": [70116],
      "story_id": 807,
      "story_mode": "LIVE",
      "team_id": 335,
      "monitor_failures": true,
      "monitor_all_events": true,
      "monitor_no_events_emitted": 86400,
      "time_saved_unit": "minutes",
      "time_saved_value": 10,
      "page": null,
      "story_id": 807,
      "story_mode": "LIVE",
      "nested_group_id": null,
      "links_to_sources": {
        "source_id": 70116,
        "link_type": "DEFAULT"
      },
      "links_to_receivers": {
        "receiver_id": 70118,
        "link_type": "NO_MATCH"
      },
      "draft_id": 12345,
      "draft_name": "Initial Draft",
      "pending_action_runs_count": 42
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/actions?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 1
  }
}
```
